/*-----------------------------------------------------------------*
  |     Name: arthtri.sas                                           |
  |    Title: TRIPLOT macro: Arthritis Treatment Data               |
  | ----------------------------------------------------------------|
  |   Macros: triplot                                               |
  | Datasets: arth                                                  |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 16 Jun 2000 16:36:29                                  |
  *-----------------------------------------------------------------*/

title 'TRIPLOT macro: Arthritis Treatment Data';
*include goptions;
goptions hsize=6in vsize=6in;

title 'Arthritis Treatment Data';
data arth;
   input sex $ treat $ @;
   input none some marked;
	length group $10;
	sex = substr(sex,1,1);
	group = trim(sex) || ': ' || treat;
	label group='Group';
datalines;
Female  Active    6  5  16
Female  Placebo  19  7   6
Male    Active    7  2   5
Male    Placebo  10  0   1
;
%triplot(data=arth,
	var=None Some Marked, class=group,
	symht=4, 
	symbols=dot circle dot circle,
	colors=red red blue blue, 
	backclr=grayd0, backpat=solid,
	gridclr=white, gridby=25);
