 /*-----------------------------------------------------------------*
  |     Name: corresp2.sas                                          |
  |    Title: CORRESP macro: Hair color, Eye color data             |
  | ----------------------------------------------------------------|
  |   Macros: corresp                                               |
  | Datasets: haireye                                               |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly <friendly@yorku.ca>                  |
  |  Created: 26 Apr 2000 15:32:28                                  |
  *-----------------------------------------------------------------*/
%include goptions ;
%include macros(corresp);
goptions vsize=8in htext=1.5;
title 'CORRESP macro: Hair color, Eye color data';
title ' ';
data haireye;
   input  EYE $ BLACK BROWN RED BLOND ;
   cards;
         Brown    68   119    26     7    
         Blue     20    84    17    94    
         Hazel    15    54    14    10    
         Green     5    29    14    16    
;

axis1 length=3.2 in  order=(-.5 to .5 by .5)
		label=(a=90 r=0);
axis2 length=6.4 in  order=(-1. to 1. by .5);

%corresp ( data=haireye, id=eye,
    var=BLACK BROWN RED BLOND,
    pos=-, vaxis=axis1, haxis=axis2, interp=none, dimlab=Dim);

