 /*-----------------------------------------------------------------*
  |     Name: employ.sas                                            |
  |    Title: BIPLOT macro: Employment status data                  |
  | ----------------------------------------------------------------|
  |    Procs: sort transpose                                        |
  |   Macros: biplot                                                |
  | Datasets: employ employ2                                        |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 18 Jun 2000 12:09:28                                  |
  *-----------------------------------------------------------------*/
title 'BIPLOT macro: Employment status data';
title;

%include goptions;
goptions htext=1.6 htitle=2;
data employ;
	input length $ @;
	do cause ='Close  ', 'Replace';
		do employed = 'Yes', 'No';
			input count @;
			output;
			end;
		end;
	input;
datalines;
 0     8   10     40   24 
 1    35   42     85   42 
 2    70   86    181   41 
 3    62   80     85   16 
 4    56   67    118   27 
 5    38   35     56   10 
;
*-- Reshape as two column matrix ([CL][E]);
proc sort data=employ;
	by cause length employed ;
proc transpose prefix=e out=employ2;
	var count;
	by cause length;

*-- Create combined cause-length ID variable;
data employ2;
	set employ2;
	drop _name_;
	id = substr(cause,1,1) || length;

axis1 order=(-2 to 1) length=4.875in
	label=(a=90);
axis2 order=(-2 to 2) length=6.5in;
%biplot(data=employ2, id=id, var=e1 e2,
	std=none, power=0,
	out=biplot, anno=bianno, vaxis=axis1, haxis=axis2,
	symbols=plus triangle, interp=none join);
