 /*-----------------------------------------------------------------*
  |     Name: fourdemo.sas                                          |
  |    Title: Illustration for fourfold.sas                         |
  | ----------------------------------------------------------------|
  |    Procs: iml                                                   |
  | Datasets: haireye                                               |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 18 Jun 1998 12:09:28                                  |
  *-----------------------------------------------------------------*/
*title  'Illustration for fourfold.sas';
goptions vsize=7.5in hsize=7.5in;     /* make plot square */
*-- fourfold display  for 2 x 2 x k tables;
proc iml;
%include iml(fourfold);
 
   *-- Berkeley Admissions data;
   dim = {2 2 6};
   vnames = {"Admit?" "Sex" "Department"};
   lnames = {"Yes" "No" " "  " "  " "  " ",
         /*  "Male"  "Female" " "  " "  " "  " ", */
             " M "   " F "    " "  " "  " "  " ",
             "A" "B" "C" "D" "E" "F"};

          /* Admit Not     Sex   Dept   */
   table = { 512  313,
              89   19,
             353  207,
              17    8,
             120  205,
             202  391,
             138  279,
             131  244,
              53  138,
              94  299,
              22  351,
              24  317};
   down=3;
   across=2;
   std='MAX';
   run fourfold(dim, table, vnames, lnames);
   std='MARG';
   run fourfold(dim, table, vnames, lnames);
quit;
